<?php

namespace plugin\cms\controller\api;

use plugin\cms\model\CmsCategory;
use think\admin\Controller;

class Category extends Controller
{
    public function index() {
        $pid = $this->request->get('pid');
        $query = CmsCategory::mk()->where('status', 1)->order('sort asc,id desc')->field("id, name");
        if ($pid > 0) {
            $query->where('pid', $pid);
        }
        $categories = $query->select();
        $this->success('获取分类成功', $categories);
    }
}